﻿using KB1131_XamDataGrid_ConditionalRecordStyling.Infrastructure;
using KB1131_XamDataGrid_ConditionalRecordStyling.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KB1131_XamDataGrid_ConditionalRecordStyling
{
    public class MainWindowViewModel : ObservableObject
    {
        private ObservableCollection<Product> _products;

        public ObservableCollection<Product> Products
        {
            get { return _products; }
            set { _products = value; OnPropertyChanged(); }
        }

        public MainWindowViewModel()
        {
            _products = new ObservableCollection<Product>();
            _products.Add(new Product() { ProductId = 0, ProductName = "えんぴつ", StockedAmount = 50 });
            _products.Add(new Product() { ProductId = 1, ProductName = "3色ボールペン", StockedAmount = 31 });
            _products.Add(new Product() { ProductId = 2, ProductName = "のり", StockedAmount = 37 });
            _products.Add(new Product() { ProductId = 3, ProductName = "定規", StockedAmount = 6 });
            _products.Add(new Product() { ProductId = 4, ProductName = "リングファイル", StockedAmount = 62 });
            _products.Add(new Product() { ProductId = 5, ProductName = "ノート", StockedAmount = 59 });
            _products.Add(new Product() { ProductId = 6, ProductName = "筆箱", StockedAmount = 94 });
            _products.Add(new Product() { ProductId = 7, ProductName = "消しゴム", StockedAmount = 4 });
            _products.Add(new Product() { ProductId = 8, ProductName = "マジックペン", StockedAmount = 21 });
            _products.Add(new Product() { ProductId = 9, ProductName = "ネックストラップ", StockedAmount = 38 });
        }
    }
}
