﻿using KB1131_XamDataGrid_ConditionalRecordStyling.Infrastructure;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KB1131_XamDataGrid_ConditionalRecordStyling.Model
{
    public class Product : ObservableObject
    {
        private int _productId;

        public int ProductId
        {
            get { return _productId; }
            set { _productId = value; OnPropertyChanged(); }
        }

        private String _productName;

        public String ProductName
        {
            get { return _productName; }
            set { _productName = value; OnPropertyChanged(); }
        }

        private int _stockedAmount;

        public int StockedAmount
        {
            get { return _stockedAmount; }
            set { _stockedAmount = value; OnPropertyChanged(); }
        }

        public Product()
        {

        }
    }
}
