﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media;

namespace KB1131_XamDataGrid_ConditionalRecordStyling
{
    public class StockedAmountToBrushConverter1 : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if(value != null)
            {
                // 渡されてきたvalue（＝Cells[StockedAmount].Value（在庫数））を整数値に変換する。
                int stockedAmount = (int)value;
                // 在庫数が20未満ならピンクを返す
                if (stockedAmount < 20) return new SolidColorBrush(Colors.Pink);
                // それ以外は白を返す
                else return new SolidColorBrush(Colors.White);
            }
            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
